Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/rewards \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "rewa_6VSWcXjfm5PuZlfeuZxl5JZT",
"reward_id": "rew_pjJKIZgjIopIPZyibEAt7oPk",
"related_object_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"related_object_type": "campaign",
"created_at": "2022-08-30T08:24:32.171Z",
"updated_at": null,
"object": "reward_assignment"
},
{
"id": "rewa_7gFZsNg8oiry63FtzML0N52R",
"reward_id": "rew_BUfchmIo7pOR8GrZMw0vVL08",
"related_object_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 3000000
}
},
"created_at": "2022-05-13T11:14:58.146Z",
"updated_at": null,
"object": "reward_assignment"
},
{
"id": "rewa_eAGhQSY4FS4T3q4zMkiarHoN",
"reward_id": "rew_nIy4gHpQHle2c3pNMwuj7G6j",
"related_object_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 100
}
},
"created_at": "2022-02-28T11:56:55.241Z",
"updated_at": null,
"object": "reward_assignment"
}
],
"total": 3
}Returns active rewards from a given loyalty campaign.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/rewards \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "rewa_6VSWcXjfm5PuZlfeuZxl5JZT",
"reward_id": "rew_pjJKIZgjIopIPZyibEAt7oPk",
"related_object_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"related_object_type": "campaign",
"created_at": "2022-08-30T08:24:32.171Z",
"updated_at": null,
"object": "reward_assignment"
},
{
"id": "rewa_7gFZsNg8oiry63FtzML0N52R",
"reward_id": "rew_BUfchmIo7pOR8GrZMw0vVL08",
"related_object_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 3000000
}
},
"created_at": "2022-05-13T11:14:58.146Z",
"updated_at": null,
"object": "reward_assignment"
},
{
"id": "rewa_eAGhQSY4FS4T3q4zMkiarHoN",
"reward_id": "rew_nIy4gHpQHle2c3pNMwuj7G6j",
"related_object_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 100
}
},
"created_at": "2022-02-28T11:56:55.241Z",
"updated_at": null,
"object": "reward_assignment"
}
],
"total": 3
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Unique campaign ID or name of the loyalty campaign. You can either pass the campaign ID, which was assigned by Voucherify, or the name of the campaign as the path parameter value, e.g., Loyalty%20Campaign.
"camp_rRsfatlwN7unSeUIJDCYedal"
Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.
1 <= x <= 100Which page of results to return. The lowest value is 1.
1 <= x <= 100A unique reward assignment ID.
"rewa_m9hEAu10KsPcLhGXiHG85aY0"
Returns a dictionary with reward assignment objects.
Response body schema for GET v1/loyalties/{campaignId}/rewards.
The type of the object represented by JSON. This object stores information about loyalty reward assignments in a dictionary.
list Identifies the name of the attribute that contains the array of reward assignment objects.
Contains array of reward assignment objects.
Show child attributes
Total number of reward assignment objects.
Was this page helpful?